Bug 805662 - [abrt] system-config-samba-1.2.96-1.fc16: sambaParser.py:91:__init__:Exception: section share already defined
[abrt] system-config-samba-1.2.96-1.fc16: sambaParser.py:91:__init__:Exceptio...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:43783af99fce9b339e87bf2be74...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 14:35 EDT by Deepak Kumar Mishra
Modified: 2013-02-13 14:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:37:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deepak Kumar Mishra 2012-03-21 14:35:39 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/system-config-samba
executable:     /usr/bin/system-config-samba
kernel:         3.2.10-3.fc16.i686.PAE
reason:         sambaParser.py:91:__init__:Exception: section share already defined
time:           Wed 21 Mar 2012 11:43:34 PM IST
uid:            0
username:       root

backtrace:
:sambaParser.py:91:__init__:Exception: section share already defined
:
:Traceback (most recent call last):
:  File "/usr/bin/system-config-samba", line 56, in <module>
:    use_dbus=use_dbus)
:  File "/usr/share/system-config-samba/mainWindow.py", line 136, in __init__
:    self.samba_data = sambaConfig.SambaConfig(self.samba_backend)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 29, in __init__
:    self.parseFile()
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaConfig.py", line 32, in parseFile
:    return self.parse(self.backend.readSmbConf())
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 96, in readSmbConf
:    self.parser.parse(filecontents)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 369, in parse
:    section = SambaSection(self, section_name, token.value)
:  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaParser.py", line 91, in __init__
:    raise Exception("section %s already defined" % (name))
:Exception: section share already defined
:
:Local variables in innermost frame:
:literal: '\t[Share]'
:prototype: False
:parser: <scsamba.core.sambaParser.SambaParser object at 0x97d356c>
:name: 'share'
:self: <SambaSection instance preamble:
:
:>

comment:
:I configured the samba in /etc/samba/smb.conf and now tried to start the UI.
:It is not starting

smolt_data:
:
:
:General
:=================================
:UUID: 25353045-c3e9-49f4-b610-47e60d993e59
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3599.70
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          4300  @ 1.80GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1800
:System Memory: 2013
:System Swap: 4031
:Vendor: Hewlett-Packard
:System: HP xw4400 Workstation 
:Form factor: Mini Tower
:Kernel: 3.2.10-3.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10186:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10179:4156:10252) pci, ahci, RAID, 82801GR/GH (ICH7 Family) SATA RAID Controller
:(32902:10192:4156:10252) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:4156:10252) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10208:4156:10252) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5
:(32902:10210:4156:10252) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6
:(32902:10207:4156:10252) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:9294:4156:10252) pci, None, PCI/PCI, 82801 PCI Bridge
:(5348:5755:4156:10252) pci, tg3, ETHERNET, NetXtreme BCM5755 Gigabit Ethernet PCI Express
:(4318:357:4318:820) pci, nouveau, VIDEO, NV44 [Quadro NVS 285]
:(32902:10185:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10108:4156:10252) pci, i82975x_edac, HOST/PCI, 82975X Memory Controller Hub
:(32902:10200:4156:10252) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10187:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4156:10252) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10109:4156:10252) pci, pcieport, PCI/PCI, 82975X PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_tupsiiv-lv_root / ext4 4096 4096 7714727 6175570 5788908 1933312 1715044 1715044
:/dev/sdc1 /boot ext4 1024 1024 508745 436899 411299 128016 127793 127793
:/dev/mapper/vg_tupsiiv-lv_backup WITHHELD vfat 16384 16384 1342831 1319438 1319438 0 0 0
:/dev/mapper/vg_tupsiiv-lv_home /home ext4 4096 4096 5250859 4794924 4531552 1318912 1297932 1297932
:
Comment 1 Nils Philippsen 2012-03-22 10:29:22 EDT
Hi, would you please attach your /etc/samba/smb.conf file to this bug using the "Add an attachment" link above? If it contains any sensitive data like usernames or passwords, replace them with e.g. USERNAME or PASSWORD before uploading. Thanks!
Comment 2 Fedora End Of Life 2013-01-16 11:11:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 14:37:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.